| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations
oyConnectorImaging_s.h File Reference
`#include <oyranos_object.h>`
`#include "oyStruct_s.h"`
`#include "oyranos_image.h"`

## Data Structures
struct | oyConnectorImaging_s
| Node connection descriptor. More...

## Enumerations
enum | oyCONNECTOR_IMAGING_CAP_e { , oyCONNECTOR_IMAGING_CAP_CAN_PLANAR, oyCONNECTOR_IMAGING_CAP_CAN_INTERWOVEN, oyCONNECTOR_IMAGING_CAP_CAN_SWAP, oyCONNECTOR_IMAGING_CAP_CAN_SWAP_BYTES, oyCONNECTOR_IMAGING_CAP_CAN_REVERT , oyCONNECTOR_IMAGING_CAP_CAN_SUBPIXEL, oyCONNECTOR_IMAGING_CAP_ID }
| Capabilities of oyConnectorImaging_s. More...

## Detailed Description

[Template file inheritance graph] +-> oyConnectorImaging_s.template.h | +-> oyConnector_s.template.h | +-> Base_s.h | +– oyStruct_s.template.h

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/10/16

## Enumeration Type Documentation

enum oyCONNECTOR_IMAGING_CAP_e

Capabilities of oyConnectorImaging_s.

Version
  Oyranos: 0.5.0

Since
  2012/09/06 (Oyranos: 0.5.0)

Date
  2012/09/06

Enumerator
oyCONNECTOR_IMAGING_CAP_CAN_PLANAR | can read separated channels
oyCONNECTOR_IMAGING_CAP_CAN_INTERWOVEN | can read continuous channels
oyCONNECTOR_IMAGING_CAP_CAN_SWAP | can swap colour channels (BGR)
oyCONNECTOR_IMAGING_CAP_CAN_SWAP_BYTES | non host byte order
oyCONNECTOR_IMAGING_CAP_CAN_REVERT | revert 1 -> 0 and 0 -> 1
oyCONNECTOR_IMAGING_CAP_CAN_SUBPIXEL | understand subpixel order
oyCONNECTOR_IMAGING_CAP_ID | relative to oyFilterCore_s, e.g. 1 connector is mandatory or optional, important for modules